---
title: CLI
description: OpenCode CLI opcije i naredbe.
---

import { Tabs, TabItem } from "@astrojs/starlight/components"

OpenCode CLI po defaultu pokreće [TUI](/docs/tui) kada se pokrene bez ikakvih argumenata.

```bash
opencode

```

Ali takođe prihvata komande kao što je dokumentovano na ovoj stranici. Ovo vam omogućava programsku interakciju sa OpenCodeom.

```bash
opencode run "Explain how closures work in JavaScript"
```

---

### tui

Pokrenite korisnički interfejs OpenCode terminala.

```bash
opencode [project]

```

#### Zastave

| Zastava      | Kratko | Opis                                                                     |
| ------------ | ------ | ------------------------------------------------------------------------ |
| `--continue` | `-c`   | Nastavite posljednju sesiju                                              |
| `--session`  | `-s`   | ID sesije za nastavak                                                    |
| `--fork`     |        | Forkujte sesiju pri nastavku (koristiti sa `--continue` ili `--session`) |
| `--prompt`   |        | Uputstvo za upotrebu                                                     |
| `--model`    | `-m`   | Model za korištenje u obliku dobavljača/modela                           |
| `--agent`    |        | Agent za korištenje                                                      |
| `--port`     |        | Port za slušanje na                                                      |
| `--hostname` |        | Slušajte ime hosta                                                       |

---

## komandante

OpenCode CLI takođe ima sledeće komande.

---

### agent

Upravljajte agentima za OpenCode.

```bash
opencode agent [command]
```

---

### prilog

Priključite terminal na već pokrenut OpenCode backend server pokrenut putem `serve` ili `web` komandi.

```bash
opencode attach [url]

```

Ovo omogućava korištenje TUI-ja sa udaljenim OpenCode backend-om. na primjer:

```bash
# Start the backend server for web/mobile access
opencode web --port 4096 --hostname 0.0.0.0

# In another terminal, attach the TUI to the running backend
opencode attach http://10.20.30.40:4096
```

#### Zastave

| Zastava     | Kratko | Opis                                 |
| ----------- | ------ | ------------------------------------ |
| `--dir`     |        | Radni direktorij za pokretanje TUI u |
| `--session` | `-s`   | ID sesije za nastavak                |

---

#### kreiraj

Kreirajte novog agenta s prilagođenom konfiguracijom.

```bash
opencode agent create

```

Ova komanda će vas voditi kroz kreiranje novog agenta sa prilagođenim sistemskim promptom i konfiguracijom alata.

---

#### lista

Navedite sve dostupne agente.

```bash
opencode agent list
```

---

### auth

Naredba za upravljanje vjerodajnicama i prijavom za provajdere.

```bash
opencode auth [command]

```

---

#### aplikacija

OpenCode pokreće lista provajdera na [Models.dev](https://models.dev), tako da možete koristiti `opencode auth login` da konfigurirate API ključeve za bilo kojeg provajdera kojeg želite koristiti. Ovo je pohranjeno u `~/.local/share/opencode/auth.json`.

```bash
opencode auth login
```

Kada se OpenCode pokrene, učitava dobavljače iz datoteke vjerodajnica. I ako postoje neki ključevi definirani u vašim okruženjima ili `.env` fajl u vašem projektu.

---

#### lista

Navodi sve autentifikovane dobavljače pohranjene u datoteci akreditiva.

```bash
opencode auth lista

```

Ili kratka verzija.

```bash
opencode auth ls
```

---

#### odjava

Odjavljuje vas s provajdera tako što ga briše iz datoteke vjerodajnica.

```bash
opencode auth logout

```

---

### github

Upravljajte GitHub agentom za automatizaciju spremišta.

```bash
opencode github [command]
```

---

#### instaliraj

Instalirajte GitHub agenta u svoje spremište.

```bash
opencode github instalacija

```

Ovo postavlja neophodni tok rada GitHub Actions i vodi vas kroz proces konfiguracije. [Saznajte više](/docs/github).

---

#### trči

Pokrenite GitHub agent. Ovo se obično koristi u GitHub akcijama.

```bash
opencode github run
```

##### Zastave

| Zastava   | Opis                                         |
| --------- | -------------------------------------------- |
| `--event` | GitHub lažni događaj za pokretanje agenta za |
| `--token` | GitHub token ličnog pristupa                 |

---

### mcp

Upravljajte serverima protokola konteksta modela.

```bash
opencode mcp [command]

```

---

#### dodaj

Dodajte MCP server svojoj konfiguraciji.

```bash
opencode mcp add
```

Ova komanda će vas voditi kroz dodavanje lokalnog ili udaljenog MCP servera.

---

#### lista

Navedite sve konfigurirane MCP servere i njihov status veze.

```bash
opencode mcp lista

```

Ili koristite kratku verziju.

```bash
opencode mcp ls
```

---

#### auth

Autentifikujte se sa MCP serverom koji je omogućen za OAuth.

```bash
opencode mcp auth [name]

```

Ako ne navedete ime servera, od vas će biti zatraženo da izaberete neki od dostupnih servera koji podržavaju OAuth.
Također možete navesti servere koji podržavaju OAuth i njihov status provjere autentičnosti.

```bash
opencode mcp auth list
```

Ili koristite kratku verziju.

```bash
opencode mcp auth ls

```

---

#### odjava

Uklonite OAuth vjerodajnice za MCP server.

```bash
opencode mcp logout [name]
```

---

#### otklanjanje grešaka

Otklanjanje grešaka OAuth veze sa MCP serverom.

```bash
opencode mcp debug <name>

```

---

### model

Navedite sve dostupne modele konfiguriranih provajdera.

```bash
opencode models [provider]
```

Ova naredba prikazuje sve modele dostupne kod vaših konfiguriranih provajdera u formatu `provider/model`.
Ovo je korisno za pronalaženje tačnog naziva modela za korištenje u [vašoj konfiguraciji](/docs/config/).
Opciono možete proslijediti ID provajdera za filtriranje modela po tom dobavljaču.

```bash
opencode models anthropic

```

#### Zastave

| Zastava     | Opis                                                                     |
| ----------- | ------------------------------------------------------------------------ |
| `--refresh` | Osvježite predmemoriju modela sa models.dev                              |
| `--verbose` | Koristite detaljniji izlaz modela (uključuje metapodatke poput troškova) |

Koristite `--refresh` zastavicu da ažurirate keširanu listu modela. Ovo je korisno kada su novi modeli dodani provajderu i želite da ih vidite u OpenCode-u.

```bash
opencode models --refresh
```

---

### trči

Pokrenite opencode u neinteraktivnom modu tako što ćete direktno proslijediti prompt.

```bash
opencode run [message..]

```

Ovo je korisno za skriptiranje, automatizaciju ili kada želite brz odgovor bez pokretanja punog TUI-ja. Na primjer.

```bash "opencode run"
opencode run Explain the use of context in Go
```

Također možete priključiti pokrenutu `opencode serve` instancu kako biste izbjegli vrijeme hladnog pokretanja MCP servera pri svakom pokretanju:

```bash
# Start a headless server in one terminal
opencode serve
# U drugom terminalu, pokrenite komande koje se vezuju za njega
opencode run --attach http://localhost:4096 "Objasni async/await u JavaScriptu"

```

#### Zastave

| Zastava      | Kratko | Opis                                                                     |
| ------------ | ------ | ------------------------------------------------------------------------ |
| `--command`  |        | Naredba za pokretanje, koristite poruku za args                          |
| `--continue` | `-c`   | Nastavite posljednju sesiju                                              |
| `--session`  | `-s`   | ID sesije za nastavak                                                    |
| `--fork`     |        | Forkujte sesiju pri nastavku (koristiti sa `--continue` ili `--session`) |
| `--share`    |        | Podijelite sesiju                                                        |
| `--model`    | `-m`   | Model za korištenje u obliku provider/model                              |
| `--agent`    |        | Agent za korištenje                                                      |
| `--file`     | `-f`   | Fajlovi koje treba priložiti poruci                                      |
| `--format`   |        | Format: default (formatiran) ili json (sirovi JSON događaji)             |
| `--title`    |        | Naslov sesije (koristi skraćeni prompt ako nije navedena vrijednost)     |
| `--attach`   |        | Priključite na pokrenuti opencode server (npr. http://localhost:4096)    |
| `--port`     |        | Port za lokalni server (zadano na nasumični port)                        |

---

### poslužiti

Pokrenite OpenCode server bez glave za pristup API-ju. Pogledajte [server docs](/docs/server) za kompletan HTTP interfejs.

```bash
opencode serve
```

Ovo pokreće HTTP server koji pruža API pristup funkcionalnosti otvorenog koda bez TUI interfejsa. Postavite `OPENCODE_SERVER_PASSWORD` da omogućite HTTP osnovnu auth (korisničko ime je zadano na `opencode`).

#### Zastave

| Zastava      | Opis                                                 |
| ------------ | ---------------------------------------------------- |
| `--port`     | Port za slušanje na                                  |
| `--hostname` | Ime hosta za slušanje                                |
| `--mdns`     | Omogući mDNS otkrivanje                              |
| `--cors`     | Dodatni izvor(a) pretraživača koji dozvoljavaju CORS |

---

### sesija

Upravljajte OpenCode sesijama.

```bash
opencode sesija [naredba]

```

---

#### lista

Navedite sve OpenCode sesije.

```bash
opencode session list
```

##### Zastave

| Zastava       | Kratko | Opis                                      |
| ------------- | ------ | ----------------------------------------- |
| `--max-count` | `-n`   | Ograničenje na N najnovijih sesija        |
| `--format`    |        | Izlazni format: tablica ili json (tabela) |

---

### statistika

Prikaži statistiku upotrebe tokena i troškova za vaše OpenCode sesije.

```bash
opencode stats

```

#### Zastave

| Zastava     | Opis                                                                                                        |
| ----------- | ----------------------------------------------------------------------------------------------------------- |
| `--days`    | Prikaži statistiku za zadnjih N dana (sva vremena)                                                          |
| `--tools`   | Broj alata za prikaz (svi)                                                                                  |
| `--models`  | Prikaži raščlambu korištenja modela (skriveno prema zadanim postavkama). Proslijedite broj za prikaz vrha N |
| `--project` | Filtriraj po projektu (svi projekti, prazan niz: trenutni projekt)                                          |

---

### izvoz

Izvezite podatke sesije kao JSON.

```bash
opencode export [sessionID]
```

Ako ne unesete ID sesije, od vas će biti zatraženo da odaberete neku od dostupnih sesija.

---

### uvoz

Uvezite podatke sesije iz JSON datoteke ili OpenCode dijeljenog URL-a.

```bash
opencode import <file>

```

Možete uvesti iz lokalne datoteke ili OpenCode dijeljenog URL-a.

```bash
opencode import session.json
opencode import https://opncd.ai/s/abc123
```

---

### web

Pokrenite OpenCode server bez glave sa web interfejsom.

```bash
opencode web

```

Ovo pokreće HTTP server i otvara web pretraživač za pristup OpenCodeu preko web interfejsa. Postavite `OPENCODE_SERVER_PASSWORD` da omogućite HTTP osnovnu auth (korisničko ime je zadano na `opencode`).

#### Zastave

| Zastava      | Opis                                                 |
| ------------ | ---------------------------------------------------- |
| `--port`     | Port za slušanje na                                  |
| `--hostname` | Ime hosta za slušanje                                |
| `--mdns`     | Omogući mDNS otkrivanje                              |
| `--cors`     | Dodatni izvor(a) pretraživača koji dozvoljavaju CORS |

---

### acp

Pokrenite ACP (Agent Client Protocol) server.

```bash
opencode acp
```

Ova komanda pokreće ACP server koji komunicira preko stdin/stdout koristeći nd-JSON.

#### Zastave

| Zastava      | Opis                |
| ------------ | ------------------- |
| `--cwd`      | Radni imenik        |
| `--port`     | Port za slušanje na |
| `--hostname` | Slušajte ime hosta  |

---

### deinstaliraj

Deinstalirajte OpenCode i uklonite sve povezane datoteke.

```bash
opencode uninstall

```

#### Zastave

| Zastava         | Kratko | Opis                                          |
| --------------- | ------ | --------------------------------------------- |
| `--keep-config` | `-c`   | Čuvajte konfiguracijske datoteke              |
| `--keep-data`   | `-d`   | Čuvajte podatke i snimke sesije               |
| `--dry-run`     |        | Pokažite šta bi bilo uklonjeno bez uklanjanja |
| `--force`       | `-f`   | Preskoči upite za potvrdu                     |

---

### upgrade

Ažurira opencode na najnoviju verziju ili određenu verziju.

```bash
opencode upgrade [target]
```

Za nadogradnju na najnoviju verziju.

```bash
opencode upgrade

```

Za nadogradnju na određenu verziju.

```bash
opencode upgrade v0.1.48
```

#### Zastave

| Zastava    | Kratko | Opis                                                    |
| ---------- | ------ | ------------------------------------------------------- |
| `--method` | `-m`   | Korišteni način instalacije; curl, npm, pnpm, bun, brew |

---

## Globalne zastave

CLI otvorenog koda uzima sljedeće globalne zastavice.
| Zastava | Kratko | Opis
|-------------- | ----- | ------------------------------------ |
| `--help` | `-h` | Prikaži pomoć |
| `--version` | `-v` | Odštampaj broj verzije |
| `--print-logs` | | Ispis zapisnika u stderr |
| `--log-level` | | Nivo dnevnika (DEBUG, INFO, WARN, ERROR) |

---

## Varijable okruženja

OpenCode se može konfigurirati pomoću varijabli okruženja.
| Varijabilna | Vrsta | Opis
|------------------------------------- | ------- | ------------------------------------------------- |
| `OPENCODE_AUTO_SHARE` | boolean | Automatski dijeli sesije |
| `OPENCODE_GIT_BASH_PATH` | string | Putanja do Git Bash izvršne datoteke na Windows |
| `OPENCODE_CONFIG` | string | Put do konfiguracionog fajla |
| `OPENCODE_CONFIG_DIR` | string | Put do konfiguracijskog direktorija |
| `OPENCODE_CONFIG_CONTENT` | string | Inline json konfiguracijski sadržaj |
| `OPENCODE_DISABLE_AUTOUPDATE` | boolean | Onemogući automatske provjere ažuriranja |
| `OPENCODE_DISABLE_PRUNE` | boolean | Onemogući orezivanje starih podataka |
| `OPENCODE_DISABLE_TERMINAL_TITLE` | boolean | Onemogući automatsko ažuriranje naslova terminala |
| `OPENCODE_PERMISSION` | string | Umetnuta json konfiguracija dozvola |
| `OPENCODE_DISABLE_DEFAULT_PLUGINS` | boolean | Onemogući podrazumevane dodatke |
| `OPENCODE_DISABLE_LSP_DOWNLOAD` | boolean | Onemogući automatsko preuzimanje LSP servera |
| `OPENCODE_ENABLE_EXPERIMENTAL_MODELS` | boolean | Omogući eksperimentalne modele |
| `OPENCODE_DISABLE_AUTOCOMPACT` | boolean | Onemogući automatsko sažimanje konteksta |
| `OPENCODE_DISABLE_CLAUDE_CODE` | boolean | Onemogući čitanje sa `.claude` (prompt + vještine) |
| `OPENCODE_DISABLE_CLAUDE_CODE_PROMPT` | boolean | Onemogući čitanje `~/.claude/CLAUDE.md` |
| `OPENCODE_DISABLE_CLAUDE_CODE_SKILLS` | boolean | Onemogući učitavanje `.claude/skills` |
| `OPENCODE_DISABLE_MODELS_FETCH` | boolean | Onemogući dohvaćanje modela iz udaljenih izvora |
| `OPENCODE_FAKE_VCS` | string | Lažni VCS provajder za potrebe testiranja |
| `OPENCODE_DISABLE_FILETIME_CHECK` | boolean | Onemogući provjeru vremena datoteke radi optimizacije |
| `OPENCODE_CLIENT` | string | Identifikator klijenta (zadano na `cli`) |
| `OPENCODE_ENABLE_EXA` | boolean | Omogući Exa alate za web pretraživanje |
| `OPENCODE_SERVER_PASSWORD` | string | Omogući osnovnu autorizaciju za `OPENCODE_GIT_BASH_PATH`/`OPENCODE_CONFIG` |
| `OPENCODE_SERVER_USERNAME` | string | Poništi osnovno korisničko ime autentifikacije (zadano `opencode`) |
| `OPENCODE_MODELS_URL` | string | Prilagođeni URL za dohvaćanje konfiguracije modela |

---

### Eksperimentalno

Ove varijable okruženja omogućavaju eksperimentalne karakteristike koje se mogu promijeniti ili ukloniti.
| Varijabilna | Vrsta | Opis
|----------------------------------------------- | ------- | --------------------------------------- |
| `OPENCODE_EXPERIMENTAL` | boolean | Omogući sve eksperimentalne funkcije |
| `OPENCODE_EXPERIMENTAL_ICON_DISCOVERY` | boolean | Omogući otkrivanje ikona |
| `OPENCODE_EXPERIMENTAL_DISABLE_COPY_ON_SELECT` | boolean | Onemogući kopiranje pri odabiru u TUI |
| `OPENCODE_EXPERIMENTAL_BASH_DEFAULT_TIMEOUT_MS` | broj | Zadano vremensko ograničenje za bash komande u ms |
| `OPENCODE_EXPERIMENTAL_OUTPUT_TOKEN_MAX` | broj | Maksimalni izlazni tokeni za LLM odgovore |
| `OPENCODE_EXPERIMENTAL_FILEWATCHER` | boolean | Omogući praćenje datoteka za cijeli dir |
| `OPENCODE_EXPERIMENTAL_OXFMT` | boolean | Omogući oxfmt formatter |
| `OPENCODE_EXPERIMENTAL_LSP_TOOL` | boolean | Omogući eksperimentalni LSP alat |
| `OPENCODE_EXPERIMENTAL_DISABLE_FILEWATCHER` | boolean | Onemogući praćenje datoteka |
| `OPENCODE_EXPERIMENTAL_EXA` | boolean | Omogući eksperimentalne Exa funkcije |
| `OPENCODE_EXPERIMENTAL_LSP_TY` | boolean | Omogući eksperimentalnu provjeru tipa LSP |
| `OPENCODE_EXPERIMENTAL_MARKDOWN` | boolean | Omogući eksperimentalne funkcije smanjenja |
| `OPENCODE_EXPERIMENTAL_PLAN_MODE` | boolean | Omogući režim plana |
